FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202010081339.p0 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202010081339.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge KUBE_GIT_COMMIT=590cc3e6bf818dc305425f7f0ae746024e047897 KUBE_GIT_MAJOR=1 KUBE_GIT_MINOR=14+ KUBE_GIT_TREE_STATE=clean KUBE_GIT_VERSION=v1.14.0+590cc3e OS_GIT_COMMIT=590cc3e OS_GIT_VERSION=4.4.0-202010081339.p0-590cc3e SOURCE_DATE_EPOCH=1578488481 SOURCE_GIT_COMMIT=590cc3e6bf818dc305425f7f0ae746024e047897 SOURCE_GIT_TAG=v0.4.1-409-g590cc3e6b SOURCE_GIT_URL=https://github.com/openshift/csi-external-provisioner 
WORKDIR /go/src/github.com/kubernetes-csi/external-provisioner
COPY . .
RUN make build

FROM openshift/ose-base:v4.4.0.20201008.151351
ENV __doozer=update BUILD_RELEASE=202010081339.p0 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202010081339.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge KUBE_GIT_COMMIT=590cc3e6bf818dc305425f7f0ae746024e047897 KUBE_GIT_MAJOR=1 KUBE_GIT_MINOR=14+ KUBE_GIT_TREE_STATE=clean KUBE_GIT_VERSION=v1.14.0+590cc3e OS_GIT_COMMIT=590cc3e OS_GIT_VERSION=4.4.0-202010081339.p0-590cc3e SOURCE_DATE_EPOCH=1578488481 SOURCE_GIT_COMMIT=590cc3e6bf818dc305425f7f0ae746024e047897 SOURCE_GIT_TAG=v0.4.1-409-g590cc3e6b SOURCE_GIT_URL=https://github.com/openshift/csi-external-provisioner 
COPY --from=builder /go/src/github.com/kubernetes-csi/external-provisioner/bin/csi-provisioner /usr/bin/
ENTRYPOINT ["/usr/bin/csi-provisioner"]

LABEL \
        License="ASL 2.0" \
        io.k8s.description="External provisioner for CSI volumes" \
        io.k8s.display-name="External provisioner for CSI volumes" \
        io.openshift.tags="csi,storage,provisioner" \
        vendor="Red Hat" \
        name="openshift/ose-csi-external-provisioner" \
        com.redhat.component="csi-provisioner-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Storage" \
        release="202010081339.p0" \
        io.openshift.build.commit.id="590cc3e6bf818dc305425f7f0ae746024e047897" \
        io.openshift.build.source-location="https://github.com/openshift/csi-external-provisioner" \
        io.openshift.build.commit.url="https://github.com/openshift/csi-external-provisioner/commit/590cc3e6bf818dc305425f7f0ae746024e047897" \
        version="v4.4.0"

